Results 1 to 5 of 5

Thread: Yast on Suse 11.1 - problem with packman

  1. #1

    Default Yast on Suse 11.1 - problem with packman

    So far I love Suse 11.1! However, today when updating some dvd utilities, I kept getting dozens of errors from the packman repository:


    Error
    Download failed:
    File: './suse/i586/libmpeg2-0-0.5.1-0.pm.2.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1/'



    Index of /pub/packman/suse/11.1


    File './suse/i586/libmpeg2-0-0.5.1-0.pm.2.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1/'

    File './suse/i586/libxvidcore4-1.2.1-0.pm.0.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1/'

    File './suse/i586/libtwolame0-0.3.12-0.pm.1.i586.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1/'

    File './suse/i686/libfame1-0.9.1-0.pm.9.i686.rpm' not found on medium 'http://ftp.skynet.be/pub/packman/suse/11.1/'

    It appears to be up. Is it just not updated yet with current packages?

  2. #2

    Default Re: Yast on Suse 11.1 - problem with packman

    It looks like the URL has an extra 'suse' in there. If I go to Index of /pub/packman/suse/11.1 , I see the i586 directory, and not a 'suse' directory.

    Is there some path I could update to fix this?

  3. #3

    Default Re: Yast on Suse 11.1 - problem with packman

    I think packman just isn't up to date yet. Hopefully this will be corrected in the next couple days.

  4. #4

    Default Re: Yast on Suse 11.1 - problem with packman

    Isn't anyone else seeing this problem?
    I can't seem to find where/why my package updater is inserting an extra 'suse' in the fetch string. My other repositories work fine.

    When my updater tries to get a packman repository file, it would try to get (ie):

    'http://ftp.skynet.be/pub/packman/suse/11.1/suse/i586/libmpeg2-0-0.5.1-0.pm.2.i586.rpm'

    My packman repository URL is "http://ftp.skynet.be/pub/packman/suse/11.1/"


    For some reason, the file fetch string prepends a 'suse' to the front of the path before i586. I tried using command line zypper, but that didn't seem to help either.

  5. #5

    Default Re: Yast on Suse 11.1 - problem with packman

    A few minutes after my last post, I found the fix which worked for me. I had to add a new packman repository, and delete the default one. Steps were:

    # zypper addrepo --repo http://packman.mirrors.skynet.be/pub/packman/suse/11.1/Packman.repo

    Then go into the repository manager and delete the old packman "http://ftp.skynet.be/pub/packman/suse/11.1/" repository. All is working great now.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •